1. User
OrderMesh
  • Introduction to our API
    • Getting Started
    • Product Catalog
    • Webhooks Overview
    • Merchant Notifications Guide
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
        POST
      • Login User with Refresh Token
        POST
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
    • MerchantVariants
      • Add new variants to a merchant catalog
      • Update a merchant catalog variants
      • Update a merchant catalog by removing variants
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  1. User

Login User with Refresh Token

POST
/v1/refresh
Vendor Access: Allowed — Vendor users can access this endpoint.
Allows an active user session to remain valid without requiring the user to re-enter their username and password. When your initial accessToken expires, send the refreshToken to this endpoint to receive a new set of credentials.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Body Params
application/json

Examples

Responses

🟢200
application/json
Returns the token and refresh token.
Body

🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ordermesh.io/user/v1/refresh?source=' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "refreshToken": "eyJhbGciOiJSUzI1NiIsInR5cCIg..."
}'
Response Response Example
200 - Success
{
    "accessToken": "eyJhbGciOiJSUzI1NiIsInR5cCIg...",
    "scope": "email profile",
    "tokenType": "Bearer",
    "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCIgOiAiSldUI...",
    "expiresIn": 900,
    "identityToken": null,
    "id": "c8f51b34-3c03-417c-b3ff-1e49a159e851",
    "shortId": "U02270001",
    "username": "",
    "email": "joe.bloggs@domain.com",
    "firstName": "Joe",
    "lastName": "Bloggs",
    "status": "enabled",
    "dateCreated": "2026-07-01T14:45:31.3583692Z",
    "attributes": {
        "merchantIds": [
            "merchant-1",
            "merchant-2"
        ],
        "vendorIds": [
            "vendor-1"
        ],
        "facilityIds": [
            "facility-1"
        ]
    },
    "roles": [
        {
            "id": "03d5cd96-6d1e-46de-94c3-ceeb57feeadb",
            "name": "merchant",
            "usersCount": null,
            "ownerId": null,
            "organizationType": null,
            "permissionSet": [
                {
                    "resourceId": "33c7a0f0-0036-4461-b677-97520b874824",
                    "resourceName": "order",
                    "resourceDisplayName": "Order",
                    "availablePermissions": [
                        {
                            "name": "get",
                            "description": ""
                        },
                        {
                            "name": "create",
                            "description": ""
                        }
                    ],
                    "associatedPermissions": [
                        {
                            "name": "get",
                            "description": ""
                        }
                    ]
                }
            ]
        }
    ]
}
Modified at 2026-09-10 16:13:22
Previous
Login User by Username and Password
Next
Search for order items based on various criteria and filters
Built with